Author Topic: Flag if dimension is not associative  (Read 10197 times)

0 Members and 1 Guest are viewing this topic.

ELOQUINTET

  • Guest
Re: Flag if dimension is not associative
« Reply #30 on: January 24, 2008, 05:25:37 PM »
ok got it, one last small request if i may. is there a way that the block can have a unique color that will stand out. yellow would be the best i think. other than that it is just what i was looking for and i am extremely grateful.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Flag if dimension is not associative
« Reply #31 on: January 24, 2008, 05:30:39 PM »
(vla-put-color blk acYellow)
 8-)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

GDF

  • Water Moccasin
  • Posts: 2081
Re: Flag if dimension is not associative
« Reply #32 on: January 24, 2008, 06:14:40 PM »
ok got it, one last small request if i may. is there a way that the block can have a unique color that will stand out. yellow would be the best i think. other than that it is just what i was looking for and i am extremely grateful.

Alan

Why not add this to your great routine:

;;;               DimPrec.lsp                 
;;;    By Charles Alan Butler  04/27/2003
;;; This routine will flag all dims that have dimension text
;;; over ridden or have a precision greater less than 1/32 .
;;; One or more of the following symbols are placed over the dimension
;;;
;;; Symbols
;;;  CHECK    = Dimensions that have a precision >= 1/32
;;;  S        = Dimensions that are STYLE dependent for precision
;;;  Circle/  = Dimensions with precision less than 1/32 (0.00000)
;;;  SquareX  = Dimensions that have Text Overrides
;;;  Diamond+ = Dimensions that are rounded off & precision is ok
;;;
;;; The symbols used are placed on Layer "DefPoints"
;;; and sized according to DIMTXT size variable,
;;; or the Text Style of the DIM if it's size > 0
;;;
;;;  Limitations : 
;;;       not designed to work in paper space.
;;;       USCS World plan view only
;;;
;;;  Revision 04/12/04
;;;   Correction for ACAD2000, blocks are created on layer 0 now
;;;   Dims selected are visible in space you are working
;;;     not All dims & frozen as before
;;;   Streamlined code
;;;
;;;  Revision 12/17/05
;;;   Added the Rounded Off flagging of dimensions that are within
;;;   the precision of the style
;;;
;;; Revision 12/20/05
;;;   Revised routine to be call by another lisp
;;;   Arguments:
;;;     mode  one of two modes "Display" or "Remove"
;;;   Returns results in a list of strings

Gary


Why is there never enough time to do it right, but always enough time to do it over?
BricsCAD 2020x64 Windows 10x64

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Flag if dimension is not associative
« Reply #33 on: January 24, 2008, 07:32:21 PM »
Good memory Gary. :-)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

ELOQUINTET

  • Guest
Re: Flag if dimension is not associative
« Reply #34 on: January 25, 2008, 09:48:26 AM »
cab i tried adding it here in the code but the block still comes in white. did i do it wrong?

Code: [Select]
          (vla-put-layer blk "0"); Layer
          (vla-put-color blk acYellow); Color
          (vlax-release-object blk)

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Flag if dimension is not associative
« Reply #35 on: January 25, 2008, 10:52:36 AM »
Scratch that & replace this section:
Code: [Select]
  (if (not(tblsearch "BLOCK" "NotAllowed"))
    (progn
      (entmake '((0 . "BLOCK") (100 . "AcDbEntity") (67 . 0) (8 . "0") (100 . "AcDbBlockReference")
                 (2 . "NotAllowed") (10 0.0 0.0 0.0) (70 . 0)))
      (entmake '((0 . "LWPOLYLINE") (100 . "AcDbEntity") (67 . 0) (8 . "0") (62 . 2) (100 . "AcDbPolyline")
                 (90 . 2) (70 . 0) (43 . 0.1) (38 . 0.0) (39 . 0.0)(10 0.707107358883519 0.707106203489104)
                 (40 . 0.1) (41 . 0.1) (42 . 0.0) (10 -0.707107358883519 -0.707106203489104)
           (40 . 0.1) (41 . 0.1) (42 . 0.0)))
      (entmake '((0 . "LWPOLYLINE") (100 . "AcDbEntity") (67 . 0) (8 . "0") (62 . 2) (100 . "AcDbPolyline") (90 . 2)
                 (70 . 1) (43 . 0.1) (38 . 0.0) (39 . 0.0) (10 0.707107358883519 0.707106203489104) (40 . 0.1)
                 (41 . 0.1) (42 . -1.0) (10 -0.707107358883519 -0.707106203489104) (40 . 0.1) (41 . 0.1)
                 (42 . -1.0)))
      (entmake '((0 . "ENDBLK") (100 . "AcDbBlockEnd") (8 . "0")))
    )
  )

Note: you will need to purge the block before this code will take effect.
« Last Edit: January 25, 2008, 11:36:01 AM by CAB »
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

ELOQUINTET

  • Guest
Re: Flag if dimension is not associative
« Reply #36 on: January 25, 2008, 11:20:49 AM »
cab just to let you know both this and the reactor are now working great. the only thing i noticed with the block is that the line that goes through the circle is still white but that's not a big deal. I amy want to change the color of this symbol as i work with it so i'm assuming i need to modify something in the snippet you just gave me. which part is the color? thanks a ton my friend you are the best.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Flag if dimension is not associative
« Reply #37 on: January 25, 2008, 11:37:18 AM »
That's good to hear. I revised the code above so replace it again.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.